Summary:	C++ wrappers for gnome-vfs
Summary(pl.UTF-8):	Interfejsy C++ dla gnome-vfs
Name:		gnome-vfsmm
Version:	2.26.0
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-vfsmm/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	d27d34b6a8722c557366729071c1baab
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	glibmm-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.24.0
BuildRequires:	graphviz
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	glibmm >= 2.14.0
Requires:	gnome-vfs2-libs >= 2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for gnome-vfs.

%description -l pl.UTF-8
Interfejsy C++ dla gnome-vfs.

%package devel
Summary:	Devel files for gnome-vfsmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla gnome-vfsmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.14.0
Requires:	gnome-vfs2-devel >= 2.24.0

%description devel
Devel files for gnome-vfsmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gnome-vfsmm.

%package static
Summary:	gnome-vfsmm static library
Summary(pl.UTF-8):	Biblioteka statyczna gnome-vfsmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gnome-vfsmm static library.

%description static -l pl.UTF-8
Biblioteka statyczna gnome-vfsmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomevfsmm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomevfsmm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomevfsmm-2.6.so
%{_includedir}/%{name}-2.6
%{_libdir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomevfsmm-2.6.a
%changelog
* Sat Apr 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-vfsmm.git;a=log;h=master

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> a502881
- release 3 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 4c2ea89
- x32 rebuild
- release 2 (by relup.sh)

* Sat Feb 05 2011 Artur Frysiak <artur@frysiak.net> e346547
- up to 2.26.0
- drop libtool file

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> 93fc756
- BR: graphviz

* Wed Nov 25 2009 sparky <sparky@pld-linux.org> 0a114a3
- BR: doxygen

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> f10ad6c
- updated to 2.24.0

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> aa7c24b
- ver. 2.22.0

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 478f07d
- updated to 2.20.0

* Sat Mar 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 5c4e5c8
- updated to 2.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4bcf25c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 41452da
- converted to UTF-8

* Fri Dec 22 2006 Marcin Banasiak <marcin.banasiak@gmail.com> c14de8b
- up to 2.16.1

* Fri Aug 18 2006 freetz <freetz@pld-linux.org> 7f858d9
- 2.16.0, updated deps

* Fri Aug 11 2006 freetz <freetz@pld-linux.org> c36a3e4
- rel.2, use HEAD deps

* Fri Jul 21 2006 freetz <freetz@pld-linux.org> 9aace5b
- 2.15.1, updated deps, introduced --as-needed support

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> b974fdd
- merged deps update from AC-branch

* Thu Mar 16 2006 freetz <freetz@pld-linux.org> b3d8c64
- 2.14.0

* Fri Sep 09 2005 freetz <freetz@pld-linux.org> cd20f33
- merged from DEVEL and updated to 2.12.0

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 4df990f
- BR: pkgconfig

* Fri Mar 11 2005 grzegol <grzegol@pld-linux.org> 3c1c772
- updated to 2.10.0

